Index: code/trunk/src/orxonox/gamestates/GSClient.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSClient.cc	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSClient.cc	(revision 3196)
@@ -29,5 +29,5 @@
 #include "GSClient.h"
 
-#include "core/input/InputManager.h"
+#include "util/Exception.h"
 #include "core/Clock.h"
 #include "core/CommandLine.h"
Index: code/trunk/src/orxonox/gamestates/GSClient.h
===================================================================
--- code/trunk/src/orxonox/gamestates/GSClient.h	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSClient.h	(revision 3196)
@@ -31,4 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
+
 #include "core/GameState.h"
 #include "network/NetworkPrereqs.h"
Index: code/trunk/src/orxonox/gamestates/GSDedicated.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSDedicated.cc	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSDedicated.cc	(revision 3196)
@@ -29,12 +29,11 @@
 #include "GSDedicated.h"
 
+#include "util/Debug.h"
+#include "util/Sleep.h"
 #include "core/Clock.h"
 #include "core/CommandLine.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
-#include "core/Iterator.h"
 #include "network/Server.h"
-#include "objects/Tickable.h"
-#include "util/Sleep.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/gamestates/GSDedicated.h
===================================================================
--- code/trunk/src/orxonox/gamestates/GSDedicated.h	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSDedicated.h	(revision 3196)
@@ -31,4 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
+
 #include "core/GameState.h"
 #include "network/NetworkPrereqs.h"
Index: code/trunk/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSGraphics.cc	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSGraphics.cc	(revision 3196)
@@ -28,6 +28,7 @@
 
 /**
-    @file
-    @brief Implementation of Graphics GameState class.
+@file
+@brief
+    Implementation of Graphics GameState class.
  */
 
@@ -37,5 +38,4 @@
 #include <OgreRenderWindow.h>
 
-#include "util/Debug.h"
 #include "core/ConfigValueIncludes.h"
 #include "core/Clock.h"
@@ -52,4 +52,5 @@
 #include "overlays/console/InGameConsole.h"
 #include "gui/GUIManager.h"
+#include "sound/SoundManager.h"
 #include "GraphicsManager.h"
 
@@ -64,4 +65,5 @@
         , guiManager_(0)
         , graphicsManager_(0)
+        , soundManager_(0)
         , masterKeyBinder_(0)
         , masterInputState_(0)
@@ -95,4 +97,5 @@
         \li creates input manager
         \li loads master key bindings
+        \li loads the SoundManager
         \li loads ingame console
         \li loads GUI interface (GUIManager)
@@ -128,4 +131,7 @@
         masterKeyBinder_->loadBindings("masterKeybindings.ini");
         masterInputState_->setKeyHandler(masterKeyBinder_);
+
+        // Load the SoundManager
+        soundManager_ = new SoundManager();
 
         // Load the InGameConsole
@@ -173,4 +179,6 @@
         delete this->debugOverlay_;
 
+        delete this->soundManager_;
+
         delete this->inputManager_;
         this->inputManager_ = 0;
Index: code/trunk/src/orxonox/gamestates/GSGraphics.h
===================================================================
--- code/trunk/src/orxonox/gamestates/GSGraphics.h	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSGraphics.h	(revision 3196)
@@ -27,8 +27,9 @@
  */
 
- /**
-    @file
-    @brief Declaration of the Graphics GameState class.
-  */
+/**
+@file
+@brief
+    Declaration of the Graphics GameState class.
+*/
 
 #ifndef _GSGraphics_H__
@@ -36,13 +37,13 @@
 
 #include "OrxonoxPrereqs.h"
+
 #include "core/GameState.h"
-#include "tools/WindowEventListener.h"
+#include "interfaces/WindowEventListener.h"
 
 namespace orxonox
 {
     /**
-    @class GSGraphics
     @brief
-        Game state used when displaying graphics of any kind
+        Game state used when displaying graphics of any kind. Another blubb resides here.
 
         This game state is only left out if we start a dedicated server where no graphics are present.
@@ -71,4 +72,5 @@
         GUIManager*           guiManager_;          //!< Interface to GUI
         GraphicsManager*      graphicsManager_;     //!< Interface to Ogre
+        SoundManager*         soundManager_;        //!< Keeps track of SoundBase objects
 
         KeyBinder*            masterKeyBinder_;     //!< Key binder for master key bindings
Index: code/trunk/src/orxonox/gamestates/GSIOConsole.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSIOConsole.cc	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSIOConsole.cc	(revision 3196)
@@ -30,7 +30,4 @@
 
 #include <iostream>
-#include <OgreFrameListener.h>
-#include <OgreRoot.h>
-#include <OgreTimer.h>
 
 #include "core/ConsoleCommand.h"
Index: code/trunk/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSLevel.cc	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSLevel.cc	(revision 3196)
@@ -33,23 +33,24 @@
 #include "core/input/SimpleInputState.h"
 #include "core/input/KeyBinder.h"
-#include "core/Loader.h"
-#include "core/XMLFile.h"
-#include "core/CommandExecutor.h"
+#include "core/Clock.h"
+#include "core/CommandLine.h"
 #include "core/ConsoleCommand.h"
-#include "core/CommandLine.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/Core.h"
 #include "core/CoreIncludes.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
-#include "objects/Tickable.h"
+#include "core/Core.h"
+#include "core/Loader.h"
+#include "core/XMLFile.h"
+
+#include "interfaces/Tickable.h"
 #include "objects/Radar.h"
+#include "objects/quest/QuestManager.h"
+#include "overlays/notifications/NotificationManager.h"
+#include "gui/GUIManager.h"
 #include "CameraManager.h"
 #include "GraphicsManager.h"
 #include "LevelManager.h"
 #include "PlayerManager.h"
-#include "gui/GUIManager.h"
-#include "objects/quest/QuestManager.h"
-#include "overlays/notifications/NotificationManager.h"
 
 namespace orxonox
@@ -148,12 +149,12 @@
         if (show)
         {
-            GUIManager::getInstancePtr()->showGUI("inGameTest");
-            GUIManager::getInstancePtr()->executeCode("showCursor()");
+            GUIManager::getInstance().showGUI("inGameTest");
+            GUIManager::getInstance().executeCode("showCursor()");
             InputManager::getInstance().requestEnterState("guiMouseOnly");
         }
         else
         {
-            GUIManager::getInstancePtr()->executeCode("hideGUI(\"inGameTest\")");
-            GUIManager::getInstancePtr()->executeCode("hideCursor()");
+            GUIManager::getInstance().executeCode("hideGUI(\"inGameTest\")");
+            GUIManager::getInstance().executeCode("hideCursor()");
             InputManager::getInstance().requestLeaveState("guiMouseOnly");
         }
Index: code/trunk/src/orxonox/gamestates/GSLevel.h
===================================================================
--- code/trunk/src/orxonox/gamestates/GSLevel.h	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSLevel.h	(revision 3196)
@@ -31,4 +31,6 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include <string>
 #include "core/OrxonoxClass.h"
 #include "core/GameState.h"
@@ -48,5 +50,4 @@
 
         static void showIngameGUI(bool show);
-        static void setLevel(std::string levelName);
 
         static XMLFile* startFile_s;
@@ -69,5 +70,5 @@
         LevelManager*         levelManager_;            //!< global level manager
         PlayerManager*        playerManager_;           //!< player manager for this level
-        QuestManager*          questManager_;
+        QuestManager*         questManager_;
         NotificationManager*  notificationManager_;
 
Index: code/trunk/src/orxonox/gamestates/GSMainMenu.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSMainMenu.cc	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSMainMenu.cc	(revision 3196)
@@ -29,15 +29,15 @@
 #include "GSMainMenu.h"
 
-//#include <OgreViewport.h>
 #include <OgreSceneManager.h>
+
+#include "core/input/InputManager.h"
+#include "core/input/SimpleInputState.h"
+#include "core/Game.h"
 #include "core/Clock.h"
 #include "core/ConsoleCommand.h"
-#include "core/Game.h"
-#include "core/input/InputManager.h"
-#include "core/input/SimpleInputState.h"
+#include "objects/Scene.h"
 #include "gui/GUIManager.h"
-#include "objects/Scene.h"
+#include "sound/SoundMainMenu.h"
 #include "GraphicsManager.h"
-#include "sound/SoundMainMenu.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/gamestates/GSMainMenu.h
===================================================================
--- code/trunk/src/orxonox/gamestates/GSMainMenu.h	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSMainMenu.h	(revision 3196)
@@ -31,5 +31,6 @@
 
 #include "OrxonoxPrereqs.h"
-#include <OgrePrerequisites.h>
+
+#include "util/OgreForwardRefs.h"
 #include "core/GameState.h"
 
Index: code/trunk/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSRoot.cc	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSRoot.cc	(revision 3196)
@@ -29,14 +29,12 @@
 #include "GSRoot.h"
 
-#include "util/Exception.h"
-#include "util/Debug.h"
 #include "core/Clock.h"
+#include "core/CommandLine.h"
+#include "core/ConsoleCommand.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
-#include "core/CommandLine.h"
-#include "core/ConsoleCommand.h"
-#include "tools/TimeFactorListener.h"
 #include "tools/Timer.h"
-#include "objects/Tickable.h"
+#include "interfaces/TimeFactorListener.h"
+#include "interfaces/Tickable.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/gamestates/GSRoot.h
===================================================================
--- code/trunk/src/orxonox/gamestates/GSRoot.h	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSRoot.h	(revision 3196)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 #include "core/GameState.h"
-#include "core/OrxonoxClass.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/gamestates/GSServer.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSServer.cc	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSServer.cc	(revision 3196)
@@ -29,4 +29,5 @@
 #include "GSServer.h"
 
+#include "util/Debug.h"
 #include "core/CommandLine.h"
 #include "core/Game.h"
Index: code/trunk/src/orxonox/gamestates/GSServer.h
===================================================================
--- code/trunk/src/orxonox/gamestates/GSServer.h	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSServer.h	(revision 3196)
@@ -31,4 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
+
 #include "core/GameState.h"
 #include "network/NetworkPrereqs.h"
Index: code/trunk/src/orxonox/gamestates/GSStandalone.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSStandalone.cc	(revision 3110)
+++ code/trunk/src/orxonox/gamestates/GSStandalone.cc	(revision 3196)
@@ -29,11 +29,6 @@
 #include "GSStandalone.h"
 
-#include <OgreViewport.h>
-#include <OgreCamera.h>
 #include "core/Game.h"
 #include "core/GameMode.h"
-#include "core/ConsoleCommand.h"
-#include "gui/GUIManager.h"
-#include "GraphicsManager.h"
 
 namespace orxonox
